Get information about all currently running reindex tasks
GET/_reindex
AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 9.5This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Reindex tasks that are mid-relocation between nodes are reported once,
under their original task ID, so callers do not see duplicates across the relocation chain.
If the API returns a HTTP status of 200 OK, but node_failures or task_failures are non-empty in the body, the listing is not a complete authoritative listing and may be missing tasks.
The ID of the reindex task. The ID is assigned when the task was first created and remains the same across graceful shutdown relocations.
descriptionstring
A sanitized description of the reindex operation (source and destination indices, and optionally remote host info).
start_time_in_millisnumberrequired
The time at which the reindex task started, in milliseconds since the Unix epoch. Remains the same across graceful shutdown relocations.
start_timestring
The time at which the reindex task started, as an ISO-8601 formatted string. Remains the same across graceful shutdown relocations.
Only present when the request includes the ?human=true query parameter.
running_timeuniononeOf
The elapsed running time of the reindex task, including relocations, in a human-readable format.
Only present when the request includes the ?human=true query parameter.
Values:-10
running_time_in_nanosnumberrequired
The elapsed running time of the reindex task, including relocations, in nanoseconds.
cancelledbooleanrequired
Whether the reindex task has been cancelled.
statusobject
The current progress of the reindex operation.
slice_idnumber
The slice ID
batchesnumberrequired
The number of scroll responses pulled back by the reindex.
creatednumber
The number of documents that were successfully created.
deletednumberrequired
The number of documents that were successfully deleted.
noopsnumberrequired
The number of documents that were ignored because the script used for the reindex returned a noop value for ctx.op.
requests_per_secondnumberrequired
The number of requests per second effectively executed during the reindex.
retriesobjectrequired
The number of retries attempted by reindex. bulk is the number of bulk actions retried and search is the number of search actions retried.
bulknumberrequired
The number of bulk actions retried.
searchnumberrequired
The number of search actions retried.
throttleduniononeOf
Values:-10
throttled_millisnumberrequired
Number of milliseconds the request slept to conform to requests_per_second.
throttled_untiluniononeOf
Values:-10
throttled_until_millisnumberrequired
This field should always be equal to zero in a _reindex response.
It only has meaning when using the Task API, where it indicates the next time (in milliseconds since epoch) a throttled request will be executed again in order to conform to requests_per_second.
totalnumberrequired
The number of documents that were successfully processed.
updatednumber
The number of documents that were successfully updated, for example, a document with same ID already existed prior to reindex updating it.
version_conflictsnumberrequired
The number of version conflicts that reindex hits.
cancelledstring
The reason for cancellation if the slice was canceled
task_failuresobject[]
Per-task failures encountered while listing reindex tasks. Tasks that failed are not included in the reindex array.
task_idnumberrequired
node_idstringrequired
statusstringrequired
reasonobjectrequired
typestringrequired
The type of error
reasonunionstringnullable
A human-readable explanation of the error, in English.
One of:string
stack_tracestring
The server stack trace. Present only if the error_trace=true parameter was sent with the request.
Node-level failures encountered while listing reindex tasks.
Typically populated when a node disconnects or stops responding mid-request,
reindex tasks running on such nodes will be missing from the reindex array for the duration of the disruption.
typestringrequired
The type of error
reasonunionstringnullable
A human-readable explanation of the error, in English.
One of:string
stack_tracestring
The server stack trace. Present only if the error_trace=true parameter was sent with the request.